/*  gmysql -- a graphical frontend to MySQL databases
    Copyright (C) 1998 Stephen R. Dodd <dirk@loth.demon.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __CONNECTDLG_H__
#define __CONNECTDLG_H__

#include <gtk/gtk.h>
#include "tablelist.h"

#define CONNECT_DLG(p) ((ConnectDlg *)p);

typedef struct _ConnectDlg ConnectDlg;

struct _ConnectDlg {
	GtkWidget *dialog;

	GtkWidget *host;
	GtkWidget *user;
	GtkWidget *pw;

	TableList *owner;
};

ConnectDlg	*connect_dlg_new( TableList *owner );
void		connect_dlg_show( ConnectDlg *connect_dlg );

#endif /* __CONNECTDLG_H__ */
