/*  gmysql -- a graphical frontend to MySQL databases
    Copyright (C) 1998 Stephen R. Dodd <dirk@loth.demon.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __QBOX_H__
#define __QBOX_H__

#include <gtk/gtk.h>

#define Q_BOX(p) ((QBox *)p);

typedef struct _QBox QBox;

struct _QBox {
	GtkWidget *dialog;

	GtkWidget *but0;
	GtkWidget *but1;

	gint res;
};

QBox	*q_box_new( gchar *message, gchar *but0, gchar *but1 );
gint	q_box_do_modal( QBox *q_box );

#endif /* __QBOX_H__ */
