/*  gmysql -- a graphical frontend to MySQL databases
    Copyright (C) 1998 Stephen R. Dodd <dirk@loth.demon.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __IDXFIELDDLG_H__
#define __IDXFIELDDLG_H__

#include <gtk/gtk.h>
#include "indexdlg.h"

#define IDX_FIELD_DLG(p) ((IdxFieldDlg *)p);

typedef struct _IdxFieldDlg IdxFieldDlg;

struct _IdxFieldDlg {
	GtkWidget *dialog;

	GtkWidget *field;
	GtkWidget *field_menu;

	IndexDlg *owner;
};

IdxFieldDlg	*idx_field_dlg_new( IndexDlg *owner );
void		idx_field_dlg_show( IdxFieldDlg *idx_field_dlg );
void		idx_field_dlg_add_field( IdxFieldDlg *idx_field_dlg, gchar *field );

#endif /* __IDXFIELDDLG_H__ */
